<?php declare(strict_types=1);

namespace App\Http\Requests\Private\CaptchaTokens;

use App\Contracts\FormRequestDto;
use App\Dto\Request\Private\CaptchaToken\StoreUpdate;
use Illuminate\Foundation\Http\FormRequest;

final class StoreUpdateRequest extends FormRequest implements FormRequestDto
{
    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'title' => ['required', 'max:255'],
        ];
    }


    public function getDto(): StoreUpdate
    {
        return new StoreUpdate(
            title: $this->input('title'),
        );
    }
}
